# React Native Apple Healthkit
A React Native bridge module for interacting with [Apple Healthkit](https://developer.apple.com/Healthkit/) data.

* Base Methods
  * [isAvailable](https://github.com/terrillo/rn-apple-healthkit/wiki/isAvailable())
  * [initHealthKit](https://github.com/terrillo/rn-apple-healthkit/wiki/initHealthKit())
* Realtime Methods
  * [initStepCountObserver](https://github.com/terrillo/rn-apple-healthkit/wiki/initStepCountObserver())
* Read Methods
  * [getBiologicalSex](https://github.com/terrillo/rn-apple-healthkit/wiki/getBiologicalSex())
  * [getBloodGlucoseSamples](https://github.com/terrillo/rn-apple-healthkit/wiki/getbloodglucosesamples())
  * [getBloodPressureSamples](https://github.com/terrillo/rn-apple-healthkit/wiki/getbloodpressuresamples())
  * [getBodyTemperatureSamples](https://github.com/terrillo/rn-apple-healthkit/wiki/getbodytemperaturesamples())
  * [getDailyStepCountSamples](https://github.com/terrillo/rn-apple-healthkit/wiki/getDailyStepCountSamples())
  * [getDateOfBirth](https://github.com/terrillo/rn-apple-healthkit/wiki/getDateOfBirth())
  * [getDistanceCycling](https://github.com/terrillo/rn-apple-healthkit/wiki/getdistancecycling())
  * [getDistanceWalkingRunning](https://github.com/terrillo/rn-apple-healthkit/wiki/getDistanceWalkingRunning())
  * [getFlightsClimbed](https://github.com/terrillo/rn-apple-healthkit/wiki/getflightsclimbed())
  * [getHeartRateSamples](https://github.com/terrillo/rn-apple-healthkit/wiki/getheartratesamples())
  * [getHeightSamples](https://github.com/terrillo/rn-apple-healthkit/wiki/getheightsamples())
  * [getLatestBmi](https://github.com/terrillo/rn-apple-healthkit/wiki/getlatestbmi())
  * [getLatestBodyFatPercentage](https://github.com/terrillo/rn-apple-healthkit/wiki/getlatestbodyfatpercentage())
  * [getLatestHeight](https://github.com/terrillo/rn-apple-healthkit/wiki/getlatestheight())
  * [getLatestLeanBodyMass](https://github.com/terrillo/rn-apple-healthkit/wiki/getlatestleanbodymass())
  * [getLatestWeight](https://github.com/terrillo/rn-apple-healthkit/wiki/getlatestweight())
  * [getRespiratoryRateSamples](https://github.com/terrillo/rn-apple-healthkit/wiki/getrespiratoryratesamples())
  * [getSleepSamples](https://github.com/terrillo/rn-apple-healthkit/wiki/getsleepsamples())
  * [getStepCount](https://github.com/terrillo/rn-apple-healthkit/wiki/getStepCount())
  * [getWeightSamples](https://github.com/terrillo/rn-apple-healthkit/wiki/getweightsamples())
* Write Methods
  * [saveBmi](https://github.com/terrillo/rn-apple-healthkit/wiki/savebmi())
  * [saveHeight](https://github.com/terrillo/rn-apple-healthkit/wiki/saveheight())
  * [saveMindfulSession](https://github.com/terrillo/rn-apple-healthkit/wiki/saveMindfulSession())
  * [saveWeight](https://github.com/terrillo/rn-apple-healthkit/wiki/saveweight())
  * [saveSteps](https://github.com/terrillo/rn-apple-healthkit/wiki/saveSteps())
